SuperPaintParserInternal::Shape Struct Reference documentation

SuperPaintParserInternal::Shape Struct Reference

Internal: the shape of a SuperPaintParser. More...

## Public Types
enum | Type { GraphicShape , Group , Picture , TextBox }
| the type More...

## Public Member Functions
| Shape (Type type, MWAWBox2f const &box)
| constructor

## Public Attributes
Type | m_type
| the shape type
MWAWBox2f | m_box
| the bdbox
MWAWEntry | m_entry
| the picture/textbox entry
MWAWGraphicShape | m_shape
| the graphic shape
MWAWGraphicStyle | m_style
| the graphic style
MWAWFont | m_font
| the textbox font
MWAWParagraph::Justification | m_justify
| the textbox justification
double | m_interline
| the interline in percent

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| operator<<

## Detailed Description

Internal: the shape of a SuperPaintParser.

## Member Enumeration Documentation

## ◆ Type

enum SuperPaintParserInternal::Shape::Type

the type

Enumerator
GraphicShape |
Group |
Picture |
TextBox |

## Constructor & Destructor Documentation

## ◆ Shape()

SuperPaintParserInternal::Shape::Shape | ( | Type | type,
|  | MWAWBox2f const & | box )
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Shape const & | shape )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f SuperPaintParserInternal::Shape::m_box

the bdbox

Referenced by operator<<, and Shape().

## ◆ m_entry

MWAWEntry SuperPaintParserInternal::Shape::m_entry

the picture/textbox entry

Referenced by Shape().

## ◆ m_font

MWAWFont SuperPaintParserInternal::Shape::m_font

the textbox font

Referenced by Shape().

## ◆ m_interline

double SuperPaintParserInternal::Shape::m_interline

the interline in percent

Referenced by Shape().

## ◆ m_justify

MWAWParagraph::Justification SuperPaintParserInternal::Shape::m_justify

the textbox justification

Referenced by Shape().

## ◆ m_shape

MWAWGraphicShape SuperPaintParserInternal::Shape::m_shape

the graphic shape

Referenced by operator<<, and Shape().

## ◆ m_style

MWAWGraphicStyle SuperPaintParserInternal::Shape::m_style

the graphic style

Referenced by operator<<, and Shape().

## ◆ m_type

Type SuperPaintParserInternal::Shape::m_type

the shape type

Referenced by operator<<, and Shape().

The documentation for this struct was generated from the following file:

- SuperPaintParser.cxx